# FIXME: enable grt + lua

%define gc_namever mysql-gui-common-0.6.1
%define ma_namever mysql-administrator-1.2.12
%define qb_namever mysql-query-browser-1.2.12
%define wb_namever mysql-workbench-1.1.10alpha
%define mt_realversion 1.1.12alpha

%define build_mt 0

# pkgconfig file name
%define gtkhtml  libgtkhtml-3.14

# FIXME:
#%define jarch %(echo %_arch | sed -e s/x86_64/amd64/ -e s/i.86/i386/)
#%define javaincdir /usr/java/jdk1.6.0/include/
#%define javalibdir /usr/java/jdk1.6.0/jre/lib/%jarch/server

Name: mysql-gui-tools
Version: 5.0r12a
Release: alt3

Summary: GUI Tools for MySQL 5.0

Url: http://www.mysql.com/products/tools/
Group: Development/Databases
License: GPL

Packager: Vitaly Lipatov <lav@altlinux.ru>

# direct link is not exists due mirrors
# http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-gui-tools-5.0r12.tar.gz/from/http://mysql.directnet.ru/
# SVN from http://dev.mysql.com/tech-resources/sources.html
Source: %gc_namever.tar.bz2
Source10: %qb_namever.tar.bz2
Source11: %ma_namever.tar.bz2
# FIXME: needed grt for build
#Source12: %wb_namever.tar.bz2

Source1: pangorc
Source2: pango.modules
Source3: gdk-pixbuf.loaders
Source4: ma-html-chapter.tar.bz2
Source5: qb-html-chapter.tar.bz2

Patch: %name-lua.patch
# FIXME: compiled with internal static gtksourceview (old and incompatible)
Patch1: %name-gtksourceview.patch
# Where is really fix? See http://bugs.mysql.com/bug.php?id=30055
Patch2: %name-freeze_bug.patch
# Fix http://bugs.etersoft.ru/show_bug.cgi?id=1267
Patch3: mysql-administrator-lockup.patch
# Fix compiling with new sigc
Patch4: %name-gc-sigc.patch
Patch5: %name-ma-sigc.patch
Patch6: %name-qb-sigc.patch

# Automatically added by buildreq on Wed Apr 16 2008
BuildRequires: gcc-c++ glibc-devel libMySQL-devel libgnomeprint-devel libgtkhtml3-devel libgtkmm2-devel libpcre-devel perl-XML-Parser

%description
GUI Tools for MySQL 5.0 is a suite of applications written for developing
and managing MySQL servers.

This package contains data files and libraries for MySQL GUI Tools.
Actual applications are in packages mysql-administrator, mysql-query-browser
and mysql-workbench

%package -n mysql-administrator
Summary: Administration tool for MySQL 5.0
Group: Development/Databases
Requires: mysql-gui-tools = %version-%release

%description -n mysql-administrator
MySQL Administrator is a powerful graphical administration console that
enables you to easily administer your MySQL environment and gain
significantly better visibility into how your databases are operating.
MySQL Administrator now integrates database management and maintenance
into a single, seamless environment, with a clear and intuitive graphical
user interface.

This is MySQL Administrator %ma_namever.

%package -n mysql-query-browser
Summary: Query shell for MySQL 5.0
Group: Development/Databases
Requires: mysql-gui-tools = %version-%release

%description -n mysql-query-browser
MySQL Query Browser is a GUI tool for executing SQL queries.
It will display the result in a list where you can edit its contents
and save. It has several auxiliar features to facilitate work, such
as query "bookmarking", query history, syntax highlighting and online
help.

Documentation: http://dev.mysql.com/doc/query-browser/en/

This is MySQL QueryBrowser %qb_namever.

%if %build_mt
%package -n mysql-migration-toolkit
Summary: Experimental database migration tool for MySQL 5.0
Group: Development/Databases
Requires: mysql-gui-tools = %version-%release

%description -n mysql-migration-toolkit
MySQL Migration Toolkit is a framework for migrating databases from
various RDBMS to MySQL. The Linux version of the tool is a simpler,
text only version, but can be used to help migration of tables and data.
# build_mt
%endif

%prep
%setup -q -c %name-%version -a10 -a11
%patch
#%patch1
%patch2
cd %ma_namever
%patch3 -p2
%patch5
cd ../%gc_namever
%patch4
cd ../%qb_namever
%patch6

%build
# gui-common
ln -sf %gc_namever mysql-gui-common
cd %gc_namever
#touch NEWS AUTHORS ChangeLog
#__autoreconf
NOCONFIGURE=1 sh ./autogen.sh
#%__subst "s|lua_open|luaopen_base|g" ./configure
%configure --enable-canvas --enable-readline --enable-python-modules

#configure --with-commondirname=query-browser

# Incompatible LUA version? luaopen_loadlib is missed
#	--enable-grt --with-lua-includes=%_includedir --with-lua-libs=%_libdir
# Java needed only for MT?
#	--enable-java-modules --with-java-includes="%javaincdir" --with-java-ldflags=-L%javalibdir
%make_build

%if %build_mt
# migration tool
cd ../mysql-migration-tool
env LD_LIBRARY_PATH="$LD_LIBRARY_PATH:%javalibdir" ./build_mt_script.sh
%endif

# administrator
cd ../%ma_namever
#touch NEWS AUTHORS ChangeLog
#__autoreconf
NOCONFIGURE=1 sh ./autogen.sh
%configure
%make_build

# query-browser
cd ../%qb_namever
#touch NEWS AUTHORS ChangeLog
#__autoreconf
NOCONFIGURE=1 sh ./autogen.sh
%configure --with-gtkhtml=%gtkhtml
%make_build

%install
cd %gc_namever
%makeinstall_std localedir=%buildroot%_datadir/locale

# CHECK ME
#if test %_lib == lib64; then
#(cd %buildroot; ln -s %_lib/mysql-gui lib/)
#fi

cd ../%ma_namever
%makeinstall_std localedir=%buildroot%_datadir/locale
%find_lang mysql-administrator

cd ../%qb_namever
%makeinstall_std localedir=%buildroot%_datadir/locale
%find_lang mysql-query-browser

%if %build_mt
cd ../mysql-migration-tool
mkdir -p %buildroot%_libdir/mysql-gui/migration-toolkit-script/
cp -a mysql-migration-toolkit-script-*/* %buildroot%_libdir/mysql-gui/migration-toolkit-script/
%endif

# copy docs
mkdir -p %buildroot%_docdir/mysql-administrator
tar xjf %SOURCE4 -C %buildroot%_docdir/mysql-administrator
mv %buildroot%_docdir/mysql-administrator/html-chapter/* %buildroot%_docdir/mysql-administrator
rmdir %buildroot%_docdir/mysql-administrator/html-chapter

mkdir -p %buildroot%_docdir/mysql-query-browser
tar xjf %SOURCE5 -C %buildroot%_docdir/mysql-query-browser
mv %buildroot%_docdir/mysql-query-browser/html-chapter/* %buildroot%_docdir/mysql-query-browser
rmdir %buildroot%_docdir/mysql-query-browser/html-chapter

%files
%dir %_datadir/mysql-gui
%_datadir/mysql-gui/common/
#%if %build_mt
#%else
#%_libdir/mysql-gui/lib/*
#%endif

%files -n mysql-administrator -f %ma_namever/mysql-administrator.lang
%_bindir/mabackup
%_bindir/mysql-administrator
%_bindir/mysql-administrator-bin
%_datadir/mysql-gui/MySQLIcon_Admin*
%_datadir/mysql-gui/administrator/
%_desktopdir/MySQLAdministrator.desktop
%_docdir/mysql-administrator/

%files -n mysql-query-browser -f %qb_namever/mysql-query-browser.lang
%_bindir/mysql-query-browser
%_bindir/mysql-query-browser-bin
%_datadir/mysql-gui/MySQLIcon_Query*
%_datadir/mysql-gui/query-browser/
%_desktopdir/MySQLQueryBrowser.desktop
%_docdir/mysql-query-browser/

%if %build_mt
%files -n mysql-migration-toolkit
%_libdir/mysql-gui/migration-toolkit-script/
%_libdir/mysql-gui/libmyx_grt_java.so
%endif


%changelog
* Tue Apr 15 2008 Vitaly Lipatov <lav@altlinux.ru> 5.0r12a-alt3
- fix build with new sigc (SigC::Connection was dropped)

* Sat Mar 08 2008 Vitaly Lipatov <lav@altlinux.ru> 5.0r12a-alt2
- fix "Error applying user changes" due new user creating

* Sun Jan 20 2008 Vitaly Lipatov <lav@altlinux.ru> 5.0r12a-alt1
- rewrote spec, build from current SVN trunk
- add patch against freeze bug

* Tue Oct 09 2007 Vitaly Lipatov <lav@altlinux.ru> 5.0r12-alt2
- rebuild with new libgtkhtml 3.14
- add Url

* Fri Jul 20 2007 Vitaly Lipatov <lav@altlinux.ru> 5.0r12-alt1
- initial build for ALT Linux Sisyphus

